<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Table</title>
	</head>
	<body>
		<div class="overflow-x-auto" th:fragment="table">
			<table class="w-full text-left text-sm text-on-surface-lower">
				<thead>
					<tr class="bg-primary/10 text-xs uppercase text-on-surface">
						<th class="w-px whitespace-nowrap px-3 py-4">#</th>
						<th class="px-3 py-4">Periode Name</th>
						<th class="px-3 py-4">Start Date</th>
						<th class="px-3 py-4">End Date</th>
						<th class="px-3 py-4 text-center">Active</th>
						<th class="px-3 py-4"><span class="sr-only">Actions</span></th>
					</tr>
				</thead>
				<tbody class="divide-y divide-surface-outline-lower">
					<tr class="bg-surface-container">
						<td class="p-3">1</td>
						<td class="p-3">2023-2024</td>
						<td class="p-3">01 Januari 2023</td>
						<td class="p-3">30 Desember 2023</td>
						<td class="p-3">
							<div class="flex items-center justify-center gap-2">
								<form action="" onchange="submit()">
									<label class="inline-flex cursor-pointer items-center">
										<input type="checkbox" value="" name="status" class="peer sr-only" checked />
										<div
											class="peer relative h-5 w-9 rounded-full bg-surface-container-highest after:absolute after:start-[2px] after:top-[2px] after:h-4 after:w-4 after:rounded-full after:border after:border-surface-outline-lower after:bg-surface-container after:transition-all after:content-[''] peer-checked:bg-primary peer-checked:after:translate-x-full peer-checked:after:border-on-primary peer-focus:outline-none"
										></div>
										<span class="sr-only">Set Active</span>
									</label>
								</form>
							</div>
						</td>
						<td class="p-3">
							<div class="flex items-center justify-end gap-2">
								<a
									href="/kipkuliah/periode/edit"
									type="button"
									class="text-sm font-medium text-primary hover:text-primary-higher hover:underline"
									>Edit
								</a>
							</div>
						</td>
					</tr>
					<tr class="bg-surface-container">
						<td class="p-3">2</td>
						<td class="p-3">2024-2025</td>
						<td class="p-3">01 Januari 2023</td>
						<td class="p-3">30 Desember 2023</td>
						<td class="p-3">
							<div class="flex items-center justify-center gap-2">
								<form action="" onchange="submit()">
									<label class="inline-flex cursor-pointer items-center">
										<input type="checkbox" value="" name="status" class="peer sr-only" />
										<div
											class="peer relative h-5 w-9 rounded-full bg-surface-container-highest after:absolute after:start-[2px] after:top-[2px] after:h-4 after:w-4 after:rounded-full after:border after:border-surface-outline-lower after:bg-surface-container after:transition-all after:content-[''] peer-checked:bg-primary peer-checked:after:translate-x-full peer-checked:after:border-on-primary peer-focus:outline-none"
										></div>
										<span class="sr-only">Set Active</span>
									</label>
								</form>
							</div>
						</td>
						<td class="p-3">
							<div class="flex items-center justify-end gap-2">
								<a
									href="/kipkuliah/periode/edit"
									type="button"
									class="text-sm font-medium text-primary hover:text-primary-higher hover:underline"
									>Edit
								</a>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
			<!-- not found message -->
			<!-- th:if="${#lists.isEmpty(kipList.content)}" -->
			<div>
				<div class="mx-auto flex w-full max-w-sm flex-col justify-center px-6 py-20">
					<div class="flex w-fit items-center justify-center rounded-lg bg-surface-container-higher p-3">
						<svg
							xmlns="http://www.w3.org/2000/svg"
							fill="none"
							viewBox="0 0 24 24"
							stroke-width="1.5"
							stroke="currentColor"
							class="size-6 text-on-surface-lower"
						>
							<path
								stroke-linecap="round"
								stroke-linejoin="round"
								d="M12 7.5h1.5m-1.5 3h1.5m-7.5 3h7.5m-7.5 3h7.5m3-9h3.375c.621 0 1.125.504 1.125 1.125V18a2.25 2.25 0 0 1-2.25 2.25M16.5 7.5V18a2.25 2.25 0 0 0 2.25 2.25M16.5 7.5V4.875c0-.621-.504-1.125-1.125-1.125H4.125C3.504 3.75 3 4.254 3 4.875V18a2.25 2.25 0 0 0 2.25 2.25h13.5M6 7.5h3v3H6v-3Z"
							></path>
						</svg>
					</div>

					<h2 class="mt-5 font-semibold text-on-surface-higher">Records Not Found</h2>
					<p class="text-sm text-gray-600 dark:text-neutral-400">No Kip Kuliah Periode data found.</p>
				</div>
			</div>
		</div>
	</body>
</html>
